// vim: ts=4:sw=4
package de.steg0.bi.jr;

import net.sf.jasperreports.engine.fill.JRMeasuredText;

public class MeasuredText implements JRMeasuredText
{

    float leadingOffset;
    float lineSpacingFactor;
    float textHeight;
    int textOffset;
    boolean leftToRight = true;
    String textSuffix;

    public MeasuredText()
    {
    }

    public MeasuredText(JRMeasuredText mt)
    {
        this.leadingOffset=mt.getLeadingOffset();
        this.lineSpacingFactor=mt.getLineSpacingFactor();
        this.textHeight=mt.getTextHeight();
        this.textOffset=mt.getTextOffset();
        this.textSuffix=mt.getTextSuffix();
        this.leftToRight=mt.isLeftToRight();
    }

    public float getLeadingOffset()
    {
        return this.leadingOffset;
    }

    public float getLineSpacingFactor()
    {
        return this.lineSpacingFactor;
    }

    public float getTextHeight()
    {
        return this.textHeight;
    }

    public int getTextOffset()
    {
        return this.textOffset;
    }

    public String getTextSuffix()
    {
        return this.textSuffix;
    }

    public boolean isLeftToRight()
    {
        return this.leftToRight;
    }

    public String toString()
    {
        return "MeasuredText{"
                + "leadingOffset=" + this.leadingOffset + ","
                + "lineSpacingFactor=" + this.lineSpacingFactor + ","
                + "textHeight=" + this.textHeight + ","
                + "textOffset=" + this.textOffset + ","
                + "leftToRight=" + this.leftToRight
                + "}";
    }
    
}
